import Foundation

struct PageImage {

    let imageId: String

    let thumbnail: FeedEntryData.Image

    let largeImage: FeedEntryData.Image

    let caption: String?

    var content: String {
        var result = ""
        result += "<div class='content-image' onclick=\"document.getElementById('\(imageId)').classList.add('active')\">"
        result += WebsiteImage(image: thumbnail).content
        result += "</div>"
        result += "<div id='\(imageId)' class='fullscreen-image' onclick=\"document.getElementById('\(imageId)').classList.remove('active')\">"
        result += WebsiteImage(image: largeImage).content
        if let caption {
            result += "<div class='caption'>\(caption)</div>"
        }
        result += "<div class='close'></div>"
        result += "</div>"
        return result
    }
}
