import Foundation

struct FileOnDisk {

    let type: FileType

    let url: URL

    let name: String

    init(image: String, url: URL) {
        let ext = image.fileExtension!
        let type = ImageType(fileExtension: ext)!
        self.type = .image(type)
        self.url = url
        self.name = image
    }

    init(type: FileType, url: URL, name: String) {
        self.type = type
        self.url = url
        self.name = name
    }
}

