import Foundation

struct SettingsFile {

    /// The file path to the output directory
    let outputDirectoryPath: String

    let navigationBar: NavigationBarSettingsFile

    let posts: PostSettingsFile

    let pages: PageSettingsFile

    let german: LocalizedSettingsFile

    let english: LocalizedSettingsFile
}

extension SettingsFile: Codable { }
