import Foundation

final class NavigationBarSettings: ObservableObject {

    /// The path to the main icon in the navigation bar
    @Published
    var iconPath: String

    /// The tags to show in the navigation bar
    @Published
    var tags: [Tag]

    init(iconPath: String, tags: [Tag]) {
        self.iconPath = iconPath
        self.tags = tags
    }
}
