import Foundation
//import Elementary

struct PageHead {

    let title: String

    let description: String

    let additionalHeaders: String

    var content: String {
        """
        <head>
          <meta charset="utf-8" />
          <title>\(title)</title>
          <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1" />
          <meta name="description" content="\(description)">
          \(additionalHeaders)
          <link rel="stylesheet" href="/assets/css/style.css" />
        </head>
        """
    }
}

/*
extension PageHead: HTML {

    var content: some HTML {
        meta(.charset(.utf8))
        meta(.title(title))
        meta(.name(.viewport), .content("width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1"))
        meta(.name(.description), .content(description))
        link(.rel(.stylesheet), .href("style.css"))
        link(.rel(.stylesheet), .href("swiper.css"))
    }
}
*/
