import SwiftUI

struct ImagesContentView: View {

    @ObservedObject
    var image: ImageResource

    var body: some View {
        image.imageToDisplay
            .resizable()
            .aspectRatio(contentMode: .fit)
    }
}

#Preview {
    ImagesContentView(image: .init(resourceName: "image1", type: .jpg))
}
